Перейти к содержанию
Taipan

Два магазина с разными версиями PHP на одном сервере

Рекомендуемые сообщения

Вот собственно вопрос, стоит еще в 2013 году установленная первая версия опенкарта, есть надобность еще один поставить, и подумал ставить третью последнюю версию, но она требует выше версию PHP . Когда меняю версию РНР в  CPanel хостинга то слетает первый магазин, появляется куча ошибок...

Кто подскажет как реализовать для каждого сайта (домена) свою версию РНР ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
19 минут назад, Taipan сказал:

Вот собственно вопрос, стоит еще в 2013 году установленная первая версия опенкарта, есть надобность еще один поставить, и подумал ставить третью последнюю версию, но она требует выше версию PHP . Когда меняю версию РНР в  CPanel хостинга то слетает первый магазин, появляется куча ошибок...

Кто подскажет как реализовать для каждого сайта (домена) свою версию РНР ?

 

Найти хостинг, где для каждого домена можно разную версию PHP ставить - это первое.

Хорошо подумать, прежде чем ставить OC3 - это второе.

Изменено пользователем Yakaya

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
1 minute ago, Yakaya said:

 

Найти хостинг, где для каждого домена можно разную версию PHP ставить - это первое.

Хорошо подумать, прежде чем ставить OC3 - это второе.

 

ну я тоже думал может вторую сборку пробовать но там тоже РНР выше требуется, чувствую поставлю такой же 1.5.5.1.2  и фиг с ним

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для версии opencart 2 можно установить и php 5.4-5.6 , на которой можно заставить работать и Opencart 1.5

Убьёте всех зайцев разом без потерь.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
2 минуты назад, Tom сказал:

можно установить и php 5.4-5.6 , на которой можно заставить работать и Opencart 1.5

по идее - да

но могут проявиться проблемы несовместимости с какими-нибудь старыми дополнениями 15х, не поддерживающими php 5.3 и выше

 

38 минут назад, Taipan сказал:

Кто подскажет как реализовать для каждого сайта (домена) свою версию РНР ?

ваш хостер, уточните этот момент у него

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 25.09.2018 в 13:04, Taipan сказал:

Вот собственно вопрос, стоит еще в 2013 году установленная первая версия опенкарта, есть надобность еще один поставить, и подумал ставить третью последнюю версию, но она требует выше версию PHP . Когда меняю версию РНР в  CPanel хостинга то слетает первый магазин, появляется куча ошибок...

Кто подскажет как реализовать для каждого сайта (домена) свою версию РНР ?

У себя на локалке я использую PHP нескольких версий в режиме FPM, а в .htaccess для каждого хоста прописываю выбор версии типа такого

 

<FilesMatch ".+\.ph(ar|p|tml)$">
  SetHandler "proxy:unix:/run/php/php7.0-fpm.sock|fcgi://localhost"
#  SetHandler "proxy:unix:/run/php/php5.6-fpm.sock|fcgi://localhost"
</FilesMatch>

 

У некоторых провайдеров выбор выбор делается через добавление handler типа такого

 

AddHandler application/x-httpd-php70 .php .php5 .php4 .php3

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.